#ifndef __KEYLOCKPREF_H_
#define __KEYLOCKPREF_H_

class CKeyLockPref  
{
public:
	CKeyLockPref();
	CKeyLockPref(const CKeyLockPref&);
	virtual ~CKeyLockPref();

	CKeyLockPref& operator=(const CKeyLockPref&);
	void	Lock();
	void	Unlock();
	void	Load();
	BOOL	IsInitialized();
	BOOL	IsModified();
	BOOL	IsKeepSuspend();
	void	SetModified(BOOL);

private:
	CRITICAL_SECTION	m_Section;
	
public:

	BOOL				m_bInitialized;
	BOOL				m_bModified;

	DWORD				m_dwNumLockSeq;	// L[bN邽߂ɉ{^邩H(1 or 2)
	DWORD				m_dwUnlockKey1;	// L[bN1ڂ̃{^
	DWORD				m_dwUnlockKey2;	// L[bN2ڂ̃{^

	DWORD				m_dwExecFlag;	// ǂ̃{^ŊOAvs\tO(WZERO3_KEYLOCK_EXEC_xxxbita)

	BOOL				m_bKeepSuspend;
};

#endif
