#ifndef __POWERWATCH_H_
#define __POWERWATCH_H_

typedef void (WINAPI * PFNNOTIFYRESUME)(void*);

class CPowerWatch  
{
public:
	CPowerWatch();
	virtual ~CPowerWatch();

	BOOL	StartWatch(PFNNOTIFYRESUME pfnNotifyResume, void* pUserData);
	BOOL	StopWatch();

	friend	DWORD WINAPI WatchProc(LPVOID pParam);

private:
	BOOL	m_bStopRequest;
	HANDLE	m_hStopEvent;
	HANDLE	m_hThread;
	HANDLE	m_hMsgQueue;
	HANDLE	m_hNotify;
	DWORD	m_nBufferSize;
	LPBYTE	m_pBuffer;

	PFNNOTIFYRESUME	m_pfnNotifyResume;
	void*			m_pUserData;
};

#endif
